from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDataFormatTranslator(XInterface, Protocol):
    def getSystemDataTypeFromDataFlavor(self, aDataFlavor: DataFlavor) -> Any: ...
    def getDataFlavorFromSystemDataType(self, aSysDataType: Any) -> DataFlavor: ...
